# 35. Mutatie: "Comment" toevoegen aan de geselecteerde "Note"

Met deze mutatie kunt u een Opmerking toevoegen aan de geselecteerde Notitie.

* Een Opmerking kan gekoppeld worden aan het Perceel via zijn unieke identificator `fieldUuid` en aan de Notitie via `noteUuid`.
* De inhoud van de Opmerking kan worden opgegeven met behulp van het `tekst` attribuut. Als de inhoud meerregelig moet zijn, moet het `tekst` attribuut een tekenreeks met regeleinde-tekens bevatten `\\n` om regels te scheiden. Bijvoorbeeld: `"Eerste regel staat hier\\nTweede regel staat hier.\\nDerde regel staat hier."`.
* Het is mogelijk een specifieke datum/tijd aan de opmerking te koppelen met behulp van het `aanmaakdatum` attribuut in ISO8601-formaat.

De voorbeeldverzoeken vindt u hieronder:

```graphql
mutatie AddNoteComment {
  addNoteComment(input:{
    noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    text: "De 1e opmerking van meerdere.",
    createdDate: "2020-08-25T06:06:06.000Z"
  } ) {
    uuid
    fieldUuid
    noteUuid
    aanmaakdatum
    updatedDate
    tekst
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutatie AddNoteComment {
  addNoteComment(input:{
    noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    text: "Eerste regel staat hier\\nTweede regel staat hier.\\nDerde regel staat hier.",
    createdDate: "2020-08-25T07:07:07.000Z"
  } ) {
    uuid
    fieldUuid
    noteUuid
    aanmaakdatum
    updatedDate
    tekst
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-docs/overzicht-van-api-verzoeken-van-geopard/notities-pins/35.-mutatie-comment-toevoegen-aan-de-geselecteerde-note.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
